### Hierarchy

- unknown
  - SendBtcRequest

## Index

### Constructors

- constructor

### Methods

- getAddress
- getAmount
- getMemo
- getTxFeeRate
- serializeBinary
- setAddress
- setAmount
- setMemo
- setTxFeeRate
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SendBtcRequest(): SendBtcRequest

- Inherited from jspb.Message.constructor

  #### Returns SendBtcRequest

## Methods

### getAddress

- getAddress(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3354

  #### Returns string

### getAmount

- getAmount(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3357

  #### Returns string

### getMemo

- getMemo(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3363

  #### Returns string

### getTxFeeRate

- getTxFeeRate(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3360

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3366

  #### Returns Uint8Array

### setAddress

- setAddress(value: string): SendBtcRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3355

  #### Parameters

  - ##### value: string

  #### Returns SendBtcRequest

### setAmount

- setAmount(value: string): SendBtcRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3358

  #### Parameters

  - ##### value: string

  #### Returns SendBtcRequest

### setMemo

- setMemo(value: string): SendBtcRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3364

  #### Parameters

  - ##### value: string

  #### Returns SendBtcRequest

### setTxFeeRate

- setTxFeeRate(value: string): SendBtcRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3361

  #### Parameters

  - ##### value: string

  #### Returns SendBtcRequest

### toObject

- toObject(includeInstance?: boolean): SendBtcRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3367

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SendBtcRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SendBtcRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3370

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SendBtcRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SendBtcRequest, reader: BinaryReader): SendBtcRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3371

  #### Parameters

  - ##### message: SendBtcRequest

  - ##### reader: BinaryReader

  #### Returns SendBtcRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SendBtcRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3369

  #### Parameters

  - ##### message: SendBtcRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SendBtcRequest ): SendBtcRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3368

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SendBtcRequest

  #### Returns SendBtcRequest . AsObject

Generated using TypeDoc